diff -ruN cufflinks-2.2.1-orig/src/cuffdiff.cpp cufflinks-2.2.1/src/cuffdiff.cpp
--- cufflinks-2.2.1-orig/src/cuffdiff.cpp	2014-04-30 10:44:30
+++ cufflinks-2.2.1/src/cuffdiff.cpp	2024-01-21 12:01:12
@@ -1017,7 +1017,7 @@
         
         if (pBundle->compatible_mass() > 0)
         {
-            thread quantitate(sample_worker,
+            boost::thread quantitate(sample_worker,
                               non_empty,
                               pBundle,
                               boost::ref(rt),
@@ -1761,7 +1761,7 @@
         locus_curr_threads++;
         locus_thread_pool_lock.unlock();
         
-        thread inspect(inspect_map_worker,
+        boost::thread inspect(inspect_map_worker,
                        boost::ref(*fac),
                        boost::ref(tmp_min_frag_len),
                        boost::ref(tmp_max_frag_len));  
@@ -1919,7 +1919,7 @@
 				locus_curr_threads++;
 				locus_thread_pool_lock.unlock();
 				
-				thread bias(learn_bias_worker, fac);
+				boost::thread bias(learn_bias_worker, fac);
 #else
 				learn_bias_worker(fac);
 #endif
diff -ruN cufflinks-2.2.1-orig/src/cufflinks.cpp cufflinks-2.2.1/src/cufflinks.cpp
--- cufflinks-2.2.1-orig/src/cufflinks.cpp	2014-03-24 16:54:47
+++ cufflinks-2.2.1/src/cufflinks.cpp	2024-01-21 12:01:06
@@ -1523,7 +1523,7 @@
 		curr_threads++;
 		thread_pool_lock.unlock();
 		
-		thread asmbl(assemble_bundle,
+		boost::thread asmbl(assemble_bundle,
 					 boost::cref(rt), 
 					 bundle_ptr,
                      bundle_factory.read_group_properties(),
diff -ruN cufflinks-2.2.1-orig/src/cuffnorm.cpp cufflinks-2.2.1/src/cuffnorm.cpp
--- cufflinks-2.2.1-orig/src/cuffnorm.cpp	2014-04-30 10:44:30
+++ cufflinks-2.2.1/src/cuffnorm.cpp	2024-01-21 12:00:49
@@ -774,7 +774,7 @@
         
         if (pBundle->compatible_mass() > 0)
         {
-            thread quantitate(sample_worker,
+            boost::thread quantitate(sample_worker,
                               non_empty,
                               pBundle,
                               boost::ref(rt),
@@ -1267,7 +1267,7 @@
         locus_curr_threads++;
         locus_thread_pool_lock.unlock();
         
-        thread inspect(inspect_map_worker,
+        boost::thread inspect(inspect_map_worker,
                        boost::ref(*fac),
                        boost::ref(tmp_min_frag_len),
                        boost::ref(tmp_max_frag_len));  
diff -ruN cufflinks-2.2.1-orig/src/cuffquant.cpp cufflinks-2.2.1/src/cuffquant.cpp
--- cufflinks-2.2.1-orig/src/cuffquant.cpp	2014-04-30 10:44:30
+++ cufflinks-2.2.1/src/cuffquant.cpp	2024-01-21 12:00:43
@@ -956,7 +956,7 @@
         locus_curr_threads++;
         locus_thread_pool_lock.unlock();
         
-        thread quantitate(sample_worker,
+        boost::thread quantitate(sample_worker,
                           boost::ref(rt),
                           boost::ref(*(bundle_factories[i])),
                           s_ab,
@@ -1175,7 +1175,7 @@
         locus_curr_threads++;
         locus_thread_pool_lock.unlock();
         
-        thread inspect(inspect_map_worker,
+        boost::thread inspect(inspect_map_worker,
                        boost::ref(*fac),
                        boost::ref(tmp_min_frag_len),
                        boost::ref(tmp_max_frag_len));  
@@ -1322,7 +1322,7 @@
 				locus_curr_threads++;
 				locus_thread_pool_lock.unlock();
 				
-				thread bias(learn_bias_worker, fac);
+				boost::thread bias(learn_bias_worker, fac);
 #else
 				learn_bias_worker(fac);
 #endif
--- a/src/update_check.h
+++ b/src/update_check.h
@@ -96,18 +96,4 @@
 
 void check_version(const char* this_version)
 {
-	char curr_version[256];
-    memset(curr_version, 0, sizeof(curr_version));
-	if (get_current_version(curr_version))
-	{
-		if (strcmp(curr_version, this_version)==0)
-			fprintf(stderr, "You are using Cufflinks v%s, which is the most recent release.\n", PACKAGE_VERSION);
-		else
-			fprintf(stderr, "Warning: Your version of Cufflinks is not up-to-date. It is recommended that you upgrade to Cufflinks v%s to benefit from the most recent features and bug fixes (http://cufflinks.cbcb.umd.edu).\n", curr_version);
-		
-	}
-	else 
-	{
-		fprintf(stderr, "Warning: Could not connect to update server to verify current version. Please check at the Cufflinks website (http://cufflinks.cbcb.umd.edu).\n");
-	}
 }