diff -Naur ../freehelix98old/freehel98.for ./freehel98.for
--- ../freehelix98old/freehel98.for	2006-07-28 00:00:00.000000000 +0200
+++ ./freehel98.for	2009-09-12 11:53:38.000000000 +0200
@@ -2350,7 +2350,7 @@
       DATA IST/'*'/
       READ(*,'(A80)') INP
       OPEN(UNIT=L11,FILE=INP(1:(index(INP,' ')-1)),STATUS='OLD',
-     * READONLY)
+     * action='read')
 C     OPEN(UNIT=L11,STATUS='OLD',READONLY)
       IB=3
       NOCH=6
diff -Naur ../freehelix98old/freehelix.patch ./freehelix.patch
--- ../freehelix98old/freehelix.patch	1970-01-01 01:00:00.000000000 +0100
+++ ./freehelix.patch	2009-09-12 12:36:51.000000000 +0200
@@ -0,0 +1,12 @@
+diff -Naur ../freehelix98old/freehel98.for ./freehel98.for
+--- ../freehelix98old/freehel98.for	2006-07-28 00:00:00.000000000 +0200
++++ ./freehel98.for	2009-09-12 11:53:38.000000000 +0200
+@@ -2350,7 +2350,7 @@
+       DATA IST/'*'/
+       READ(*,'(A80)') INP
+       OPEN(UNIT=L11,FILE=INP(1:(index(INP,' ')-1)),STATUS='OLD',
+-     * READONLY)
++     * action='read')
+ C     OPEN(UNIT=L11,STATUS='OLD',READONLY)
+       IB=3
+       NOCH=6
diff -Naur ../freehelix98old/sel98.for ./sel98.for
--- ../freehelix98old/sel98.for	2006-07-28 00:00:00.000000000 +0200
+++ ./sel98.for	2009-09-12 12:17:40.000000000 +0200
@@ -59,9 +59,9 @@
 C
 102   READ(*,1)TNAME
       IF(TNAME.NE.' BASE PAIR N')GO TO 102
-      READ(*,3)
-      READ(*,3)
-      READ(*,3)
+      READ(*,333)
+      READ(*,333)
+      READ(*,333)
 C
 C  READ IN X,Y NORMAL COSINES
 C
@@ -81,12 +81,12 @@
 C
 C  READ IN NORMAL ANGLE MATRIX
 C
-      READ(*,3)
-      READ(*,3)
-      READ(*,3)
+      READ(*,333)
+      READ(*,333)
+      READ(*,333)
       READ(*,452)(NJAY(J),J=1,NBPR)
 452   FORMAT(8X,50I4)
-      READ(*,3)
+      READ(*,333)
       DO 453 I=1,NBPR
       READ(*,452)(IANGALL(I,J),J=1,NBPR)
 453   CONTINUE
@@ -101,12 +101,12 @@
 C
 C  READ IN 1ST HALF OF NORMAL ANGLE MATRIX
 C
-      READ(*,3)
-      READ(*,3)
-      READ(*,3)
+      READ(*,333)
+      READ(*,333)
+      READ(*,333)
       READ(*,852)(NJAY(J),J=1,25)
 852   FORMAT(8X,50I4)
-      READ(*,3)
+      READ(*,333)
       DO 853 I=1,NBPR
       READ(*,852)(IANGALL(I,J),J=1,25)
 853   CONTINUE
@@ -120,12 +120,12 @@
 C
 C  READ IN 2ND HALF OF NORMAL ANGLE MATRIX
 C
-      READ(*,3)
-      READ(*,3)
-      READ(*,3)
+      READ(*,333)
+      READ(*,333)
+      READ(*,333)
       READ(*,952)(NJAY(J),J=26,NBPR)
 952   FORMAT(8X,50I4)
-      READ(*,3)
+      READ(*,333)
       DO 953 I=1,NBPR
       READ(*,952)(IANGALL(I,J),J=26,NBPR)
 953   CONTINUE
@@ -138,8 +138,9 @@
 1     FORMAT(A12)
       IF(TNAME.NE.'  BEST PLANE')GO TO 2
       DO 10 J=1,3
-10    READ(*,3)
+10    READ(*,333)
 3     FORMAT(1H )
+333   FORMAT(1X)
 C
 C  READ IN TABLES OF BASE STEPS AND BASE PAIRS FROM BROLL
 C
@@ -158,7 +159,7 @@
 6     READ(*,1)TNAME
       IF(TNAME.NE.'   ROTATION ')GO TO 6
       DO 7 K=1,5
-7     READ(*,3)
+7     READ(*,333)
 C
 C  READ IN FIRST TABLES FROM CYLIN
 C
@@ -171,7 +172,7 @@
 C
 11    READ(*,1)TNAME
       IF(TNAME.NE.' STRAND    2')GO TO 11
-      READ(*,3)
+      READ(*,333)
 C
 C  READ IN SECOND TABLES FROM CYLIN
 C
@@ -186,7 +187,7 @@
 C
 14    READ(*,1)TNAME
       IF(TNAME.NE.'   ALPHA    ')GO TO 14
-      READ(*,3)
+      READ(*,333)
 C
 C  READ FIRST TORAN LIST
 C
@@ -199,7 +200,7 @@
 C
 47    READ(*,1)TNAME
       IF(TNAME.NE.'   ALPHA    ')GO TO 47
-      READ(*,3)
+      READ(*,333)
 C
 C  READ SECOND TORAN LIST
 C
@@ -212,7 +213,7 @@
 C
 50    READ(*,1)TNAME
       IF(TNAME.NE.'     V0  ')GO TO 50
-      READ(*,3)
+      READ(*,333)
 C
 C  READ FIRST PSEUDO VALUES
 C
@@ -225,7 +226,7 @@
 C
 60    READ(*,1)TNAME
       IF(TNAME.NE.'     V0  ')GO TO 60
-      READ(*,3)
+      READ(*,333)
 C
 C  READ SECOND PSEUDO VALUES
 C
diff -Naur ../freehelix98old/test.com ./test.com
--- ../freehelix98old/test.com	2006-07-28 00:00:00.000000000 +0200
+++ ./test.com	2009-09-12 11:27:44.000000000 +0200
@@ -1,10 +1,10 @@
-#command file for freehel97 on UNIX machines                    tkc 1/23/98
-#for meaning of keywords, refer to freehel98.tex
+#command file for freehel98 on UNIX machines                    tkc 1/23/98
+#for meaning of keywords, refer to freehel98.txt
 #*.dat, *.PDB, & *.po4 files have the pdb filename (represented as *) as prefix
 #******* enter the pdb file name on the line after the 'END' keyword *******
 #
-echo    "Executing newhel98 ..."
-freehel97.exe<<eof>test.freehelix
+echo    "Executing freehel98 ..."
+freehel98 <<eof >test.freehelix
 TITL TBPJ C-G-T-A-T-A-T-A-T-A-C-G   Juo & Dickerson--Human TBP/DNA
 CELL  1., 1., 1., 90., 90., 90.
 BRKH
@@ -25,7 +25,7 @@
 test.inp
 eof
 #
-echo    "freehel97 finished and output as *.out, *.PDB, *.dat, and *.po4 "
+echo    "freehel98 finished and output as *.out, *.PDB, *.dat, and *.po4 "
 echo    "Executing sel98 ..."
-sel98.exe <test.freehelix >test.sel
+sel98 <test.freehelix >test.sel
 echo    "sel98 finished. "