diff -Nurd octave-3.8.2/doc/interpreter/mkoctfile-3.8.2.1 octave-3.8.2.patched/doc/interpreter/mkoctfile-3.8.2.1
--- octave-3.8.2/doc/interpreter/mkoctfile-3.8.2.1	2014-04-22 19:17:01.000000000 -0700
+++ octave-3.8.2.patched/doc/interpreter/mkoctfile-3.8.2.1	2014-04-22 19:21:13.000000000 -0700
@@ -28,15 +28,15 @@
 .fi
 ..
 .\" --------------------------------------------------------------------
-.TH MKOCTFILE 1 "3 January 2014" "GNU Octave"
+.TH MKOCTFILE-@OCTVERSION@ 1 "3 January 2014" "GNU Octave"
 .SH NAME
 mkoctfile \- Compile dynamic-load modules for GNU Octave
 .SH SYNOPSIS
-\fBmkoctfile\fP [\fIOPTION\fP]... file...
+\fBmkoctfile-@OCTVERSION@\fP [\fIOPTION\fP]... file...
 .SH DESCRIPTION
-\fBmkoctfile\fP is used to compile C, C++, or Fortran source code in
+\fBmkoctfile-@OCTVERSION@\fP is used to compile C, C++, or Fortran source code in
 to a dynamically loadable \fI.oct\fP file for
-.BR octave (1).
+.BR octave-@OCTVERSION@ (1).
 .SH OPTIONS
 .TP 8
 \fB\-h\fP, \fB\-?\fP, \fB\-\-help\fP
@@ -147,4 +147,4 @@
 <edd@debian.org> for the Debian GNU/Linux distribution but
 may be used by others.
 .SH "SEE ALSO"
-octave (1).
+octave-@OCTVERSION@ (1).
diff -Nurd octave-3.8.2/doc/interpreter/octave-3.8.2.1 octave-3.8.2.patched/doc/interpreter/octave-3.8.2.1
--- octave-3.8.2/doc/interpreter/octave-3.8.2.1	2014-04-22 19:16:45.000000000 -0700
+++ octave-3.8.2.patched/doc/interpreter/octave-3.8.2.1	2014-04-22 19:20:27.000000000 -0700
@@ -27,9 +27,9 @@
 .\" --------------------------------------------------------------------
 .TH OCTAVE 1 "19 October 2012" "GNU Octave"
 .SH NAME
-octave \- A high-level interactive language for numerical computations.
+octave-@OCTVERSION@ \- A high-level interactive language for numerical computations.
 .SH SYNOPSIS
-\fBoctave\fP [\fIoptions\fP]... [\fIfile\fP]
+\fBoctave-@OCTVERSION@\fP [\fIoptions\fP]... [\fIfile\fP]
 .SH DESCRIPTION
 Octave is a high-level language, primarily intended for numerical
 computations.  It provides a convenient command line interface for
@@ -50,7 +50,7 @@
 the following command from within \fBoctave\fP.
 .Vb
 
-    octave:1> doc
+    octave-@OCTVERSION@:1> doc
 
 .Ve
 The Info files may also be read with a stand-alone program such as
diff -Nurd octave-3.8.2/doc/interpreter/octave-cli-3.8.2.1 octave-3.8.2.patched/doc/interpreter/octave-cli-3.8.2.1
--- octave-3.8.2/doc/interpreter/octave-cli-3.8.2.1	2014-04-22 19:16:55.000000000 -0700
+++ octave-3.8.2.patched/doc/interpreter/octave-cli-3.8.2.1	2014-04-22 19:19:42.000000000 -0700
@@ -25,24 +25,24 @@
 .fi
 ..
 .\" --------------------------------------------------------------------
-.TH OCTAVE-CLI 1 "03 January 2014" "GNU Octave"
+.TH OCTAVE-CLI-@OCTVERSION@ 1 "03 January 2014" "GNU Octave"
 .SH NAME
-octave-cli \- A high-level interactive language for numerical computations.
+octave-cli-@OCTVERSION@ \- A high-level interactive language for numerical computations.
 .SH SYNOPSIS
-\fBoctave-cli\fP [\fIoptions\fP]... [\fIfile\fP]
+\fBoctave-cli-@OCTVERSION@\fP [\fIoptions\fP]... [\fIfile\fP]
 .SH DESCRIPTION
 Octave is a high-level language, primarily intended for numerical
 computations.  It provides a convenient command line interface for
-solving linear and nonlinear problems numerically.  \fBoctave-cli\fP
+solving linear and nonlinear problems numerically.  \fBoctave-cli-@OCTVERSION@\fP
 has been compiled without any GUI support (Qt) which makes it smaller
-than the default \fBoctave\fP executable, but also limits it to
+than the default \fBoctave-@OCTVERSION@\fP executable, but also limits it to
 providing just the command line interface (CLI).
 .SH OPTIONS
 The complete set of command-line options for \fBoctave-cli\fP is available
 by running the following command from the shell.
 .Vb
 
-    octave-cli \-\-help
+    octave-cli-@OCTVERSION@ \-\-help
 .Ve
 .SH DOCUMENTATION
 The primary documentation for Octave is written using Texinfo, the GNU
@@ -53,7 +53,7 @@
 the following command from within Octave.
 .Vb
 
-    octave:1> doc
+    octave-@OCTVERSION@:1> doc
 
 .Ve
 The Info files may also be read with a stand-alone program such as
@@ -83,4 +83,4 @@
 .SH AUTHOR
 John W. Eaton <jwe@octave.org>
 .SH SEE ALSO
-octave (1)
+octave-@OCTVERSION@ (1)
diff -Nurd octave-3.8.2/doc/interpreter/octave-config-3.8.2.1 octave-3.8.2.patched/doc/interpreter/octave-config-3.8.2.1
--- octave-3.8.2/doc/interpreter/octave-config-3.8.2.1	2014-04-22 19:16:40.000000000 -0700
+++ octave-3.8.2.patched/doc/interpreter/octave-config-3.8.2.1	2014-04-22 19:16:11.000000000 -0700
@@ -18,6 +18,7 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <edd@debian.org>.
 .\" This page was completely re-written by Rik <octave@nomad.inbox5.com>
+.\" This page was adapted by Alexander Hansen <alexkhansen@users.sourceforge.net>
 .\" --------------------------------------------------------------------
 .de Vb \" (V)erbatim (b)egin.  Use fixed width font and no justification
 .ft CW
@@ -28,15 +29,15 @@
 .fi
 ..
 .\" --------------------------------------------------------------------
-.TH OCTAVE-CONFIG 1 "3 January 2014" "GNU Octave"
+.TH OCTAVE-CONFIG-@OCTVERSION@ 1 "3 January 2014" "GNU Octave"
 .SH NAME
-octave-config - GNU Octave component and library information retrieval
+octave-config-@OCTVERSION@ - GNU Octave component and library information retrieval
 .SH SYNOPSIS
-\fBoctave-config\fP [\fIOPTION\fP]...
+\fBoctave-config-@OCTVERSION@\fP [\fIOPTION\fP]...
 .SH DESCRIPTION
-.B octave-config
+.B octave-config-@OCTVERSION@
 is a tool to obtain directory information for \fB.oct\fP and \fB.m\fP files for
-.BR octave (1).
+.BR octave-@OCTVERSION@ (1).
 .SH OPTIONS
 .TP 8
 .B \-\-m-site-dir
@@ -72,14 +73,15 @@
 .TP
 .B \-v\fR,\fB \-\-version
 Display the version number of 
-.BR octave (1).
+.BR octave-@OCTVERSION@ (1).
 .TP
 \fB\-h\fP, \fB\-?\fP, \fB\-\-help\fP
 Print help message.
 .SH AUTHOR
 John W. Eaton <jwe@octave.org>
 
-This manual page was contributed by Dirk Eddelbuettel <edd@debian.org> 
-for the Debian GNU/Linux distribution but may be used by others.
+This manual page was adapted for Fink by Alexander Hansen 
+<alexkhansen@users.sourceforge.net> from the manpage contribution by 
+Dirk Eddelbuettel <edd@debian.org> for the Debian GNU/Linux distribution.
 .SH "SEE ALSO"
-octave (1).
+octave-@OCTVERSION@ (1).