diff -Nurd '-x*~' octave-@OCTVERSION@/doc/interpreter/mkoctfile-@OCTVERSION@.1 octave-@OCTVERSION@.patched/doc/interpreter/mkoctfile-@OCTVERSION@.1
--- octave-@OCTVERSION@/doc/interpreter/mkoctfile-@OCTVERSION@.1	2011-08-12 22:01:38.000000000 -0400
+++ octave-@OCTVERSION@.patched/doc/interpreter/mkoctfile-@OCTVERSION@.1	2011-08-12 22:18:42.000000000 -0400
@@ -19,11 +19,11 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <edd@debian.org>
 .\"
-.TH MKOCTFILE 1 "1 November 2002" "GNU Octave"
+.TH mkoctfile-@OCTVERSION@ 1 "1 November 2002" "GNU Octave"
 .SH NAME
-mkoctfile \- Compile dynamic-load modules for GNU Octave
+mkoctfile-@OCTVERSION@ \- Compile dynamic-load modules for GNU Octave
 .SH SYNOPSIS
-.BR mkoctfile\  [\-IDIR]\ [\-DDEF]\ [\-lLIB]\ [\-LDIR]\ [\-M|\-\-depend]\ 
+.BR mkoctfile-@OCTVERSION@\  [\-IDIR]\ [\-DDEF]\ [\-lLIB]\ [\-LDIR]\ [\-M|\-\-depend]\ 
 [\-c]\ [\-o FILE|\-\-output FILE]\ [\-p VAR|\-\-print VAR]\ [\-s|\-\-strip]\ 
 [\-v|\-\-verbose]\ [\-h|\-?|\-\-help]\ \fIfile\fP .\|.\|.  
 .SH DESCRIPTION
diff -Nurd '-x*~' octave-@OCTVERSION@/doc/interpreter/octave-@OCTVERSION@.1 octave-@OCTVERSION@.patched/doc/interpreter/octave-@OCTVERSION@.1
--- octave-@OCTVERSION@/doc/interpreter/octave-@OCTVERSION@.1	2011-08-12 22:00:40.000000000 -0400
+++ octave-@OCTVERSION@.patched/doc/interpreter/octave-@OCTVERSION@.1	2011-08-12 22:18:40.000000000 -0400
@@ -16,19 +16,19 @@
 .\" along with Octave; see the file COPYING.  If not, see
 .\" <http://www.gnu.org/licenses/>.
 .\"
-.TH Octave 1 "Jan 8 1996"
+.TH Octave-@OCTVERSION@ 1 "Jan 8 1996"
 .SH NAME
-octave \- A high-level interactive language for numerical computations.
+octave-@OCTVERSION@ \- A high-level interactive language for numerical computations.
 .SH SYNOPSIS
 .nf
-octave [options]
+octave-@OCTVERSION@ [options]
 .fi
 .SH OPTIONS
-The complete set of command-line options for octave is available by
+The complete set of command-line options for octave-@OCTVERSION@ is available by
 running the command
 .nf
 
-    octave \-\-help
+    octave-@OCTVERSION@ \-\-help
 
 .fi
 .SH DESCRIPTION
diff -Nurd '-x*~' octave-@OCTVERSION@/doc/interpreter/octave-bug-@OCTVERSION@.1 octave-@OCTVERSION@.patched/doc/interpreter/octave-bug-@OCTVERSION@.1
--- octave-@OCTVERSION@/doc/interpreter/octave-bug-@OCTVERSION@.1	2011-08-12 22:01:04.000000000 -0400
+++ octave-@OCTVERSION@.patched/doc/interpreter/octave-bug-@OCTVERSION@.1	2011-08-12 22:13:25.000000000 -0400
@@ -18,18 +18,18 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <edd@debian.org>
 .\" 
-.TH octave-bug 1 "6 March 2000" GNU
+.TH octave-bug-@OCTVERSION@ 1 "6 March 2000" GNU
 .SH NAME
-octave-bug \- report a bug in GNU Octave
+octave-bug-@OCTVERSION@ \- report a bug in GNU Octave
 .SH SYNOPSIS
-.B octave-bug
+.B octave-bug-@OCTVERSION@
 .RB [\| \-s
 .IR subject \|]
 .SH DESCRIPTION
-.B octave-bug
+.B octave-bug-@OCTVERSION@
 is a shell script to help the user compose and mail bug reports
 concerning Octave in a standard format.  
-.B octave-bug
+.B octave-bug-@OCTVERSION@
 is typically invoked by the Octave command
 .B bug_report
 which is intended to be called interactively from within Octave. This
@@ -37,7 +37,7 @@
 template bug report file and starts an editor on that file.  The bug report
 will be sent to the bug-octave mailing list once the editing has been
 completed (this assumes of course that your system can use email). However,
-the user could also call \fBoctave-bug\fR outside of Octave.
+the user could also call \fBoctave-bug-@OCTVERSION@\fR outside of Octave.
 .PP
 Please read the `Bugs' chapter in the Octave manual to find out how to submit
 a bug report that will enable the Octave maintainers to fix the problem.  If
@@ -50,7 +50,7 @@
 be quoted.
 .SH ENVIRONMENT VARIABLES
 .B 
-octave-bug 
+octave-bug-@OCTVERSION@ 
 uses the environment variables
 .BR USER, 
 .BR EDITOR, 
@@ -60,7 +60,7 @@
 .SH VERSION
 This document was last revised for Octave version 2.0.16.
 .SH SEE ALSO
-.BR octave (1),
+.BR octave-@OCTVERSION@ (1),
 .BR bashbug (1)     
 .SH AUTHOR
 .nf
diff -Nurd '-x*~' octave-@OCTVERSION@/doc/interpreter/octave-config-@OCTVERSION@.1 octave-@OCTVERSION@.patched/doc/interpreter/octave-config-@OCTVERSION@.1
--- octave-@OCTVERSION@/doc/interpreter/octave-config-@OCTVERSION@.1	2011-08-12 22:01:22.000000000 -0400
+++ octave-@OCTVERSION@.patched/doc/interpreter/octave-config-@OCTVERSION@.1	2011-08-12 22:18:38.000000000 -0400
@@ -18,23 +18,23 @@
 .\"
 .\" This page was contributed by Dirk Eddelbuettel <edd@debian.org>.
 .\" 
-.TH OCTAVE-CONFIG 1 "19 February 2003" "GNU Octave"
+.TH OCTAVE-CONFIG-@OCTVERSION@ 1 "19 February 2003" "GNU Octave"
 .SH NAME
-octave-config - GNU Octave component and library information retrieval
+octave-config-@OCTVERSION@ - GNU Octave component and library information retrieval
 .SH SYNOPSIS
-.B octave-config
+.B octave-config-@OCTVERSION@
 .RI [ options ]
 .SH DESCRIPTION
 .PP
-.B octave-config
+.B octave-config-@OCTVERSION@
 is a tool to obtain directory information for 
 .I .oct
 and 
 .I .m
 files for
-.BR octave (1).
+.BR octave-@OCTVERSION@ (1).
 .SH OPTIONS
-.B octave-config
+.B octave-config-@OCTVERSION@
 accepts the following options:
 .TP 8
 .B \--m-site-dir
@@ -72,7 +72,7 @@
 .TP 8
 .B \-h|-?|--help
 Display a help page about
-.B octave-config
+.B octave-config-@OCTVERSION@
 .SH AUTHOR
 John W. Eaton <jwe@bevo.che.wisc.edu>
 